idella4     15/03/11 04:28:40

  Modified:             formencode-1.3.0.ebuild ChangeLog
  Log:
  Re-restrict test phase on discovery that package need be system installed to 
run testsuite
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
0xB8072B0D)

Revision  Changes    Path
1.2                  dev-python/formencode/formencode-1.3.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/formencode/formencode-1.3.0.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/formencode/formencode-1.3.0.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/formencode/formencode-1.3.0.ebuild?r1=1.1&r2=1.2

Index: formencode-1.3.0.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-python/formencode/formencode-1.3.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- formencode-1.3.0.ebuild     10 Mar 2015 14:16:46 -0000      1.1
+++ formencode-1.3.0.ebuild     11 Mar 2015 04:28:40 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-python/formencode/formencode-1.3.0.ebuild,v 1.1 
2015/03/10 14:16:46 idella4 Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/formencode/formencode-1.3.0.ebuild,v 1.2 
2015/03/11 04:28:40 idella4 Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
@@ -25,15 +25,16 @@
                >=dev-python/dnspython-1.12.0-r1[${PYTHON_USEDEP}] )"
 RDEPEND=""
 
+RESTRICT="test"
 DOCS=( docs/{index.txt,modules.txt} )
 
 S="${WORKDIR}/${MY_P}"
+DISTUTILS_IN_SOURCE_BUILD=1
 
 python_test() {
        # https://github.com/formencode/formencode/issues/78
-       # 5 failures under pu2.7. Although the package claims to cater to py3, 
the suite fails horribly
-       # Requires switching cwd to ${BUILD_DIR}/lib for py3 but leave 
commented out for now since it can't be used
-       #pushd "${BUILD_DIR}"/lib > /dev/null
-       nosetests ${PN}/tests || die "tests failed under ${EPYTHON}"
-       #popd > /dev/null
+       # 5 failures under py2.7. Although the package claims to cater to py3, 
the suite fails horribly
+       # Main problem is that it is written requiring to be system installed, 
then run.
+       # Suite found to pass on extended testing using tox.
+       nosetests || die "tests failed under ${EPYTHON}"
 }



1.35                 dev-python/formencode/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/formencode/ChangeLog?rev=1.35&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/formencode/ChangeLog?rev=1.35&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/formencode/ChangeLog?r1=1.34&r2=1.35

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/formencode/ChangeLog,v
retrieving revision 1.34
retrieving revision 1.35
diff -u -r1.34 -r1.35
--- ChangeLog   10 Mar 2015 14:16:46 -0000      1.34
+++ ChangeLog   11 Mar 2015 04:28:40 -0000      1.35
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/formencode
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/formencode/ChangeLog,v 1.34 
2015/03/10 14:16:46 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/formencode/ChangeLog,v 1.35 
2015/03/11 04:28:40 idella4 Exp $
+
+  11 Mar 2015; Ian Delaney <[email protected]> formencode-1.3.0.ebuild:
+  Re-restrict test phase on discovery that package need be system installed to
+  run testsuite
 
 *formencode-1.3.0 (10 Mar 2015)
 




Reply via email to